%define sversion 3060

%define libname %mklibname %name
%define develname %mklibname %name -d
%define develnamestatic %mklibname %name -d -s

Name: cfitsio
Version: 3.060
Release: %mkrel 3
URL:	http://heasarc.gsfc.nasa.gov/docs/software/fitsio/
Source:	ftp://heasarc.gsfc.nasa.gov/software/fitsio/c/%{name}%{sversion}.tar.gz
License:	BSD-like
Summary:	Library for accessing files in FITS format for C and Fortran
Group:		System/Libraries
BuildRequires:	gcc-gfortran
BuildRequires: pkgconfig
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
CFITSIO is a library of C and Fortran subroutines for reading and 
writing data files in FITS (Flexible Image Transport System) data format. 
CFITSIO simplifies the task of writing software that deals with FITS 
files by providing an easy to use set of high-level routines that insulate 
the programmer from the internal complexities of the FITS file format. 
At the same time, CFITSIO provides many advanced features that have made 
it the most widely used FITS file programming interface in the astronomical 
community.

%package -n %libname
License: BSD-like
Summary: Library for accessing files in FITS format for C and Fortran
Group:	 	 System/Libraries

%description -n %{libname}

CFITSIO is a library of C and Fortran subroutines for reading and
writing data files in FITS (Flexible Image Transport System) data
format.  CFITSIO simplifies the task of writing software that deals
with FITS files by providing an easy to use set of high-level routines
that insulate the programmer from the internal complexities of the
FITS file format.  At the same time, CFITSIO provides many advanced
features that have made it the most widely used FITS file programming
interface in the astronomical community.  This package contains the
shared library required by prgrams that use the cfits library.

%package -n %{develname}
License:	BSD-like
Summary:	Library for accessing files in FITS format for C and Fortran
Group:		System/Libraries
Provides:	fitsio-devel = %{version} 
Provides:   cfitsio-devel = %{version}
Requires:   pkgconfig
Requires:   %libname = %version

%description -n %{develname}
CFITSIO is a library of C and Fortran subroutines for reading and 
writing data files in FITS (Flexible Image Transport System) data format. 
CFITSIO simplifies the task of writing software that deals with FITS 
files by providing an easy to use set of high-level routines that insulate 
the programmer from the internal complexities of the FITS file format. 
At the same time, CFITSIO provides many advanced features that have made 
it the most widely used FITS file programming interface in the astronomical 
community.

This package contains the headers required for compiling software that uses
the cfits library.

%package -n %{develnamestatic}
License:	BSD-like
Summary:	Library for accessing files in FITS format for C and Fortran
Group:		System/Libraries
Requires:   %{develname}
Requires:   %libname = %version

%description -n %{develnamestatic}
CFITSIO is a library of C and Fortran subroutines for reading and 
writing data files in FITS (Flexible Image Transport System) data format. 
CFITSIO simplifies the task of writing software that deals with FITS 
files by providing an easy to use set of high-level routines that insulate 
the programmer from the internal complexities of the FITS file format. 
At the same time, CFITSIO provides many advanced features that have made 
it the most widely used FITS file programming interface in the astronomical 
community.

This package contains the headers required for compiling software that uses
the cfits library.

%prep
%setup -q -n %{name}

%build
%configure2_5x

%make all shared

%install
rm -Rf %{buildroot}
install -d %{buildroot}/{%{_libdir},%{_includedir}}
%makeinstall_std CFITSIO_LIB=%{buildroot}/%{_libdir} CFITSIO_INCLUDE=%{buildroot}/%{_includedir}

%clean
rm -Rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/pkgconfig/*

%files -n %{develnamestatic}
%defattr(-,root,root)
%{_libdir}/*.a



%changelog
* Fri Feb 08 2008 Helio Chissini de Castro <helio@mandriva.com> 3.060-3mdv2008.1
+ Revision: 164139
- Static lib must be splitted

* Tue Feb 05 2008 Götz Waschk <waschk@mandriva.org> 3.060-2mdv2008.1
+ Revision: 162847
- readd library package to fix bug #37402

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 30 2007 Emmanuel Andry <eandry@mandriva.org> 3.060-1mdv2008.1
+ Revision: 139621
- New version
- obsoletes libcfitsio

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 30 2007 Helio Chissini de Castro <helio@mandriva.com> 3.040-1mdv2008.0
+ Revision: 56766
- New version
- Obsoletes lib package. Is only static.
- import cfitsio-2.490-2mdk


* Fri Jul 22 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.490-2mdk
- Fix BuildRequires

* Tue May 18 2004 Buchan Milne <bgmilne@linux-mandrake.com> 2.490-1mdk
- first Mandrake package

